//
//  ViewController.swift
//  RControl
//
//  Created by Bear Cahill on 8/16/18.
//  Copyright © 2018 Brainwash Inc. All rights reserved.
//

import UIKit

class ViewController: UIViewController, UITableViewDataSource, UITabBarDelegate {

    @IBOutlet weak var tableView: UITableView!
    
    let myRefreshControl = UIRefreshControl()
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        
        myRefreshControl.addTarget(self, action: #selector(ViewController.handleRefresh), for: .valueChanged)
        tableView.refreshControl = myRefreshControl
    }
    
    @objc func handleRefresh() {
        Timer.scheduledTimer(withTimeInterval: 3.0, repeats: false) { (timer) in
            self.tableView.reloadData()
            self.myRefreshControl.endRefreshing()
        }
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

    func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return 50
    }
    
    func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        let cell = tableView.dequeueReusableCell(withIdentifier: "myCell", for: indexPath)
        
        cell.textLabel?.text = "\(indexPath.row)"
        cell.detailTextLabel?.text = "\(Date())"
        
        return cell
    }

}

